Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::protect_fn Struct Reference
Functional

## Public Member Functions
template<typename F >
protector< uncvref_t< F > > | operator() (F &&f) const
template<typename F >
F | operator() (F &&f) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename F >

protector<uncvref_t<F> > ranges::protect_fn::operator() | ( | F && | f | ) | const

Precondition
  requires `std::is_bind_expression<uncvref_t<F>>::value` //

## ◆ operator()() [2/2]

template<typename F >

F ranges::protect_fn::operator() | ( | F && | f | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Precondition
  requires `(!std::is_bind_expression<uncvref_t<F>>::value)` //